<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/side_panel_content/init.jsp" %>

<link href="<%= PortalUtil.getStaticResourceURL(request, PortalUtil.getPathModule() + "/frontend-taglib/side_panel_content/main.css") %>" rel="stylesheet" />

<div class="side-panel-iframe">
	<c:if test="<%= Validator.isNotNull(title) %>">
		<div class="side-panel-iframe-header">
			<div class="side-panel-iframe-title">
				<h3 class="mb-0">
					<%= HtmlUtil.escape(title) %>
				</h3>
			</div>

			<button class="btn btn-unstyled side-panel-iframe-close">
				<clay:icon
					symbol="times"
				/>
			</button>
		</div>
	</c:if>

	<c:if test="<%= Validator.isNull(screenNavigatorKey) %>">
		<div class="side-panel-iframe-content">
	</c:if>