<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
SelectStyleBookEntryDisplayContext selectStyleBookEntryDisplayContext = new SelectStyleBookEntryDisplayContext(request, liferayPortletResponse);
%>

<aui:form cssClass="container-fluid container-fluid-max-xl container-view" name="fm">
	<ul class="card-page card-page-equal-height">

		<%
		for (StyleBookEntry styleBookEntry : selectStyleBookEntryDisplayContext.getStyleBookEntries()) {
		%>

			<li class="card-page-item card-page-item-asset">
				<div class="form-check form-check-card">
					<clay:vertical-card
						verticalCard="<%= new SelectStylebookLayoutVerticalCard(renderRequest, layoutsAdminDisplayContext.getSelLayout(), styleBookEntry) %>"
					/>
				</div>
			</li>

		<%
		}
		%>

	</ul>
</aui:form>

<liferay-frontend:component
	context="<%= selectStyleBookEntryDisplayContext.getContext() %>"
	module="js/SelectCardHandler"
/>