<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/card/horizontal_card_icon/init.jsp" %>

<%
Object bodyContent = request.getAttribute("liferay-frontend:horizontal-card-icon:bodyContent");

String bodyContentString = StringPool.BLANK;

if (bodyContent != null) {
	bodyContentString = bodyContent.toString();
}
%>

<c:choose>
	<c:when test="<%= Validator.isNotNull(bodyContentString) %>">
		<%= bodyContentString %>
	</c:when>
	<c:otherwise>
		<clay:sticker
			displayType="secondary"
			icon="<%= icon %>"
		/>
	</c:otherwise>
</c:choose>